# Update_Document_Type_Of_Invalid_Reason

Update the document type for an invalid reason.

`PUT /v2/invalid-reasons/{id}/document-types`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Invalid Reason
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Invalid%20Reason/Update_Document_Type_Of_Invalid_Reason/

## Description

Update the document type of an invalid reason for an account.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the invalid reason that you want to update. |
| `document_types` | array | query | Yes | Need to pass in the document type id that you want to update your invalid reason with. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `InvalidReasonDocumentType` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `InvalidReasonDocumentType`

Invalid Reason Document Type Model

| Property | Type | Required | Description |
|---|---|---|---|
| `abbreviation` | string | No | The abbreviation of the Invalid Reason Document Type. Example: `SUT`. |
| `active` | boolean | No | States if the Invalid Reason Doc Type is active or not. Example: `true`. |
| `description` | string | No | The description of the Invalid Reason Document Type. Example: `Sales and Use Tax`. |
| `display_order` | integer | No | The display order of the Invalid Reason Document Type. Example: `1`. |
| `id` | integer | No | System Generated Invalid Reason Document Type id Example: `1`. |
| `name` | string | No | The name of the Invalid Reason Document Type. Example: `Sales and Use Tax`. |
| `outgoing` | boolean | No | States if the Invalid Reason Doc Type was outgoing or not. Example: `true`. |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/invalid-reasons/{id}/document-types" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```